task access {
    File faidx
    File fasta
    String method
    String min_gap_size
    String docker
    String cluster_config
    String disk_size

    command <<<
        if [ ${method} == "wgs" ]; then
            cnvkit.py access -s ${min_gap_size} -o access-mappable.bed ${fasta}
        fi
    >>>

    runtime {
        docker: docker
        cluster: cluster_config
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }
    
    output {
        File access_bed = "access-mappable.bed"
    }
}